java.lang.Exception

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • Atricore_文档搜索
    via by Unknown author,
  • All Pax Exam Integration Tests do not work anymore
    via by Michael Szalay,
  • Re: All Pax Exam Integration Tests do not work anymore
    via by Jean-Baptiste Onofré,
  • All Pax Exam Integration Tests do not work anymore
    via by Michael Szalay,
  • Re: All Pax Exam Integration Tests do not work anymore
    via by Jean-Baptiste Onofré,
    • java.lang.Exception: Could not start bundle mvn:com.xxx.yyy/ZBundle in feature(s) com.xxx.yyy-1.0.0: Unresolved constraint in bundle com.xxx.yyy.ZBundle [341]: Unable to resolve 341.0: missing requirement [341.0] package; (package=org.apache.commons.io) at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:353) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)[:1.6.0_26] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)[:1.6.0_26] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)[:1.6.0_26] at java.lang.reflect.Method.invoke(Method.java:597)[:1.6.0_26] at org.apache.aries.proxy.impl.ProxyHandler$1.invoke(ProxyHandler.java:50)[8:org.apache.aries.proxy:0.3.0] at org.apache.aries.proxy.impl.DefaultWrapper.invoke(DefaultWrapper.java:31)[8:org.apache.aries.proxy:0.3.0] at org.apache.aries.proxy.impl.ProxyHandler.invoke(ProxyHandler.java:78)[8:org.apache.aries.proxy:0.3.0] at $Proxy3.installFeatures(UnknownSource)[17:org.apache.karaf.features.core:2.2.0.fuse-00-27] at org.apache.karaf.deployer.features.FeatureDeploymentListener.bundleChanged(FeatureDeploymentListener.java:133)[25:org.apache.karaf.deployer.features:2.2.0.fuse-00-27] at org.apache.felix.framework.util.EventDispatcher.invokeBundleListenerCallback(EventDispatcher.java:795)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:] at org.apache.felix.framework.util.EventDispatcher.fireEventImmediately(EventDispatcher.java:717)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:] at org.apache.felix.framework.util.EventDispatcher.run(EventDispatcher.java:952)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:] at org.apache.felix.framework.util.EventDispatcher.access$000(EventDispatcher.java:41)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:] at org.apache.felix.framework.util.EventDispatcher$1.run(EventDispatcher.java:93)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:] at java.lang.Thread.run(Thread.java:662)[:1.6.0_26] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.xxx.yyy.ZBundle [341]: Unable to resolve 341.0: missing requirement [341.0] package; (package=org.apache.commons.io) at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3436) at org.apache.felix.framework.Felix.startBundle(Felix.java:1728) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:927) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:914) at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:350) ... 15 more

    Users with the same issue

    davidvanlaatum
    28 times, last one,
    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,
    14 more bugmates